package com.ssj.service.conch.parents.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class HistoryTaskDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String pushId;//zyb_student_push_id

    /**
     * 是否在馆
     */
    private int libaryFlag;

    private String date;//日期

    private String week;//星期

    private List<SubjectTaskDto> subjectTaskList; //学科列表

    private String teacherAdvice;//老师评语

    private String teacherName;//老师姓名

    private String teacherImg;//老师头像

    private List<String> parentalConcern;//家长关注的点

    private List<Map<String,String>> voiceKeyList;

    public List<Map<String, String>> getVoiceKeyList() {
        return voiceKeyList;
    }

    public void setVoiceKeyList(List<Map<String, String>> voiceKeyList) {
        this.voiceKeyList = voiceKeyList;
    }

    public HistoryTaskDto (){
        this.subjectTaskList = new ArrayList<>();
        this.parentalConcern = new ArrayList<>();
    }

    public String getPushId() {
        return pushId;
    }

    public void setPushId(String pushId) {
        this.pushId = pushId;
    }

    public int getLibaryFlag() {
        return libaryFlag;
    }

    public void setLibaryFlag(int libaryFlag) {
        this.libaryFlag = libaryFlag;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getWeek() {
        return week;
    }

    public void setWeek(String week) {
        this.week = week;
    }

    public List<SubjectTaskDto> getSubjectTaskList() {
        return subjectTaskList;
    }

    public void setSubjectTaskList(List<SubjectTaskDto> subjectTaskList) {
        this.subjectTaskList = subjectTaskList;
    }

    public void addSubjectTask(SubjectTaskDto st){
        this.subjectTaskList.add(st);
    }

    public String getTeacherAdvice() {
        return teacherAdvice;
    }

    public void setTeacherAdvice(String teacherAdvice) {
        this.teacherAdvice = teacherAdvice;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeacherImg() {
        return teacherImg;
    }

    public void setTeacherImg(String teacherImg) {
        this.teacherImg = teacherImg;
    }

    public List<String> getParentalConcern() {
        return parentalConcern;
    }

    public void setParentalConcern(List<String> parentalConcern) {
        this.parentalConcern = parentalConcern;
    }


    public void addConcern (String concern){
        this.parentalConcern.add(concern);
    }
}
